Bug 978600 - [abrt] qodem-0.3.2-5.fc18: _IO_str_chk_overflow: Process /usr/bin/qodem was killed by signal 6 (SIGABRT)
[abrt] qodem-0.3.2-5.fc18: _IO_str_chk_overflow: Process /usr/bin/qodem was k...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qodem (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
abrt_hash:761b549249f016bf786ea897049...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 18:20 EDT by Ken Tobias
Modified: 2013-07-14 21:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: qodem-0.3.2-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 20:52:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.45 KB, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: core_backtrace (1.84 KB, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: dso_list (3.54 KB, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: environ (3.50 KB, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: maps (16.45 KB, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: open_fds (257 bytes, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details
File: var_log_messages (217 bytes, text/plain)
2013-06-26 18:20 EDT, Ken Tobias
no flags Details

  None (edit)
Description Ken Tobias 2013-06-26 18:20:26 EDT
Version-Release number of selected component:
qodem-0.3.2-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        qodem
crash_function: _IO_str_chk_overflow
executable:     /usr/bin/qodem
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _IO_str_chk_overflow at vsprintf_chk.c:33
 #6 _IO_default_xsputn at genops.c:481
 #7 _IO_vfprintf_internal at vfprintf.c:1646
 #8 ___vsprintf_chk at vsprintf_chk.c:85
 #9 ___sprintf_chk at sprintf_chk.c:32
 #10 sprintf at /usr/include/bits/stdio2.h:33
 #11 open_serial_port at modem.c:1228
 #12 dial_out at dialer.c:319
 #13 do_dialer at phonebook.c:921
 #14 phonebook_keyboard_handler at phonebook.c:4698
Comment 1 Ken Tobias 2013-06-26 18:20:29 EDT
Created attachment 765813 [details]
File: backtrace
Comment 2 Ken Tobias 2013-06-26 18:20:31 EDT
Created attachment 765814 [details]
File: cgroup
Comment 3 Ken Tobias 2013-06-26 18:20:33 EDT
Created attachment 765815 [details]
File: core_backtrace
Comment 4 Ken Tobias 2013-06-26 18:20:35 EDT
Created attachment 765816 [details]
File: dso_list
Comment 5 Ken Tobias 2013-06-26 18:20:37 EDT
Created attachment 765817 [details]
File: environ
Comment 6 Ken Tobias 2013-06-26 18:20:40 EDT
Created attachment 765818 [details]
File: limits
Comment 7 Ken Tobias 2013-06-26 18:20:42 EDT
Created attachment 765819 [details]
File: maps
Comment 8 Ken Tobias 2013-06-26 18:20:44 EDT
Created attachment 765820 [details]
File: open_fds
Comment 9 Ken Tobias 2013-06-26 18:20:46 EDT
Created attachment 765821 [details]
File: proc_pid_status
Comment 10 Ken Tobias 2013-06-26 18:20:48 EDT
Created attachment 765822 [details]
File: var_log_messages
Comment 11 Richard Shaw 2013-06-27 09:48:15 EDT
Bug filed upstream:

http://sourceforge.net/p/qodem/bugs/53/
Comment 12 Fedora Update System 2013-06-29 19:20:01 EDT
qodem-0.3.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qodem-0.3.2-6.fc18
Comment 13 Fedora Update System 2013-06-29 19:20:11 EDT
qodem-0.3.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qodem-0.3.2-6.fc19
Comment 14 Fedora Update System 2013-06-29 19:20:19 EDT
qodem-0.3.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qodem-0.3.2-6.fc17
Comment 15 Fedora Update System 2013-06-30 21:28:41 EDT
Package qodem-0.3.2-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qodem-0.3.2-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11957/qodem-0.3.2-6.fc19
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-07-14 20:52:36 EDT
qodem-0.3.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-07-14 21:03:46 EDT
qodem-0.3.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-07-14 21:09:40 EDT
qodem-0.3.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.